CMAX: [Version 1.0 (6/22/93)]
CMAX: ----------------------------------------------------
CMAX: Transformation of OIERRWRT from oierrwrt.f
CMAX: ----------------------------------------------------
      SUBROUTINE oierrwrt(kerr,jobno,nymd,nhms,per,ter,rmxer,her,im,jnp,
     &    mlev,wkspace,istat)
      DIMENSION her (im, jnp, mlev)
      CHARACTER * 4 jobno (2)
      DIMENSION per (im, jnp)
      DIMENSION ter (im, jnp)
      DIMENSION rmxer (im, jnp, mlev)
      DIMENSION wkspace (1)
!hpf$ distribute her(block,block,block)
!hpf$ distribute per(block,block)
!hpf$ distribute rmxer(block,block,block)
!hpf$ distribute ter(block,block)
!hpf$ distribute wkspace(block)
      WRITE( 6,'(" OIERRWRT: Writing error file.")' ) 
      istart = 1
      REWIND( 89 ) 
      WRITE( 89 ) 0,istart
      WRITE( 89 ) jobno,0,nymd,0,nhms
      WRITE( 89 ) ter
      WRITE( 89 ) per
      WRITE( 89 ) rmxer
      WRITE( 89 ) her
      istat = 0
      RETURN
      END
